Subject: Win32 console question
From: [email-masked] (Gunther Ebert)

12 Jun 1998 11:27:11 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi,

my question is a little bit off-topic, but since
many of you are Windows32 experts ...

I need to obtain information of the console output
of a third-party program. For example, I need to
determine the size of the console screen buffer
and I also need to read lines from the output
of the third-party program which is of course
running in a different process space than my
one.
I have already found a solution which works fine
for Windows NT - I use the mechanism which is 
described in Jeffrey Richter's 'Advanced Windows'
as 'Injecting a DLL into another process' space'.
However, it doesn't work under Windows95 (but
it should!) because CreateRemoteThread is not
implemented in Windows95. Hooks seem to not work
with console windows either.
Does anybody have any idea for a solution which
does also work with Windows95?

Thanks in advance,
Gunther
-- 

Gunther Ebert
iXOS Anwendungs-Software GmbH
Angerstrasse 40-42
D-04177 Leipzig

Phone : +49 341 48503-0
Fax   : +49 341 48503-99
E-mail: mailto:[email-masked]
www   : http://www.ixos-leipzig.de
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".